---
title: "vfcs"
description: "SMC API Documentation"
url: https://developer.disguise.one/smc/api/vfc/
---

# Video Formatting Card API

-   [GET vfcs](#get-vfcs)
-   [POST vfcs](#post-vfcs)

## GET vfcs

### Summary

Get a list of all the vfc cards installed in the disguise server.

### URL

GET    /api/vfcs

### Responses

-   **200:** Success - Ok
-   **500:** Check the response body for error details

### Response Body

```json
[
  {
    "slot": 1,
    "type": "HDMI",
    "status": " "
  },
  {
    "slot": 2,
    "type": "DP",
    "status": " "
  }
]
```

## POST vfcs

### Summary

Update with a list of all the vfc cards installed in the disguise server.

### URL

POST    /api/vfcs

### Description

Update with a list of all the vfc cards installed in the disguise server. The POSTed list replaces the entire current list in the database.

### Request Body

```json
[
  {
    "slot": 1,
    "type": "HDMI",
    "status": " "
  },
  {
    "slot": 2,
    "type": "DP",
    "status": " "
  }
]
```

### Responses

-   **201:** Success - Created
-   **401:** Unauthorized - Please login for access
-   **500:** Check the response body for error details

Response Body

```json
{
  "message": "ok"
}
```
